Summary
Get Automation
Description
Get an Automation.
Route
GET /operations-manager/automations/:id
Roles
admin
engineering
apiread
operations
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Automation. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"createdBy": "quis",
"created": "1967-02-03T23:57:49.046Z",
"lastUpdatedBy": null,
"lastUpdated": "2021-08-16T18:34:12.852Z",
"_id": "f20478fda164036c351b31df",
"gbac": {
"write": [
"735cf21c4949792f502289e4",
"addb7133d59af5fc4e809dae",
"c785dfa32b50c9905d0db95c",
"aaaa0491aa641fb031d61fc5",
"22196245022bd9449bb0047b"
],
"read": [
"ef3efc95f115fc21c9f12f4f",
"891ef2f5835308502fdaba3c",
"6748418259a78fa7eb60ff40",
"5efcba235c800fb931e67299"
]
},
"componentId": "56459a923e3b768cc56e8b5d"
}
}